## libguestfs 1.42.0

=== debian/changelog ===
libguestfs (1:1.42.0-9ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
      + Add qemu build dependencies for arm64.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 28 Sep 2020 10:28:31 +0200

libguestfs (1:1.42.0-9) unstable; urgency=medium

  * Drop sgabios dependency (Closes: #966596)

 -- Hilko Bengen <bengen@debian.org>  Sun, 27 Sep 2020 13:56:59 +0200

libguestfs (1:1.42.0-8ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
      + Add qemu build dependencies for arm64.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Mon, 31 Aug 2020 18:35:24 +0200

libguestfs (1:1.42.0-8) unstable; urgency=medium

  * Drop 'false' that slipped into debian/rules

 -- Hilko Bengen <bengen@debian.org>  Sun, 30 Aug 2020 23:34:05 +0200

libguestfs (1:1.42.0-7) unstable; urgency=medium

  * Don't dwz anything (Closes: #967099)

 -- Hilko Bengen <bengen@debian.org>  Sun, 30 Aug 2020 22:46:12 +0200

libguestfs (1:1.42.0-6ubuntu1) groovy; urgency=medium

  * Merge from Debian unstable.  Remaining changes:
      + Add qemu build dependencies for arm64.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 27 Jun 2020 10:36:46 +0200

libguestfs (1:1.42.0-6) unstable; urgency=medium

  * Provide qemu on riscv64

 -- Hilko Bengen <bengen@debian.org>  Sat, 27 Jun 2020 02:41:59 +0200

libguestfs (1:1.42.0-5ubuntu2) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
      + Add qemu build dependencies for arm64.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.
    - (Build)-Depend on qemu-system-misc on riscv64 to fix FTBFS.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sun, 31 May 2020 08:05:49 +0200

libguestfs (1:1.42.0-5) unstable; urgency=medium

  * Another attempt at ignoring erlang-guestfs.3 (Closes: #961844)

 -- Hilko Bengen <bengen@debian.org>  Sat, 30 May 2020 23:42:24 +0200

libguestfs (1:1.42.0-4) unstable; urgency=medium

  * dh_install: Ignore guestfs-erlang manpage, for real (Closes: #961844)

 -- Hilko Bengen <bengen@debian.org>  Sat, 30 May 2020 15:15:25 +0200

libguestfs (1:1.42.0-3) unstable; urgency=medium

  * dh_install: Ignore guestfs-erlang manpage

 -- Hilko Bengen <bengen@debian.org>  Sat, 30 May 2020 13:55:54 +0200

libguestfs (1:1.42.0-2) unstable; urgency=medium

  * Drop erlang-guestfs package (Closes: #961653)

 -- Hilko Bengen <bengen@debian.org>  Fri, 29 May 2020 00:35:38 +0200

libguestfs (1:1.42.0-1ubuntu1) groovy; urgency=low

  * Merge from Debian unstable.  Remaining changes:
      + Add qemu build dependencies for arm64.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Configure with --disable-silent-rules.
   - (Build)-Depend on qemu-system-misc on riscv64 to fix FTBFS.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Thu, 07 May 2020 22:18:16 +0200

libguestfs (1:1.42.0-1) unstable; urgency=medium

  * New upstream version 1.42.0
  * Clarify previous changelog entry
  * Update symbols
  * Update build dependencies for appliance, add check script
  * Remove virt-p2v which has been split into a separate package
  * Update patches

 -- Hilko Bengen <bengen@debian.org>  Mon, 04 May 2020 22:15:03 +0200
