## libguestfs 1.44.0

=== debian/changelog ===
libguestfs (1:1.44.0-2) unstable; urgency=medium

  * Replace bsdmainutils dependency (Closes: #964531, 964533)

 -- Hilko Bengen <bengen@debian.org>  Mon, 01 Feb 2021 21:19:33 +0100

libguestfs (1:1.44.0-1) unstable; urgency=medium

  * New upstream version 1.44.0
  * Rebase patches, drop patch integrated upstream
  * Add Lintian overrides for source; simplify
  * Update symbols file
  * Remove compiled message catalogs so they are rebuilt and installed
    from build directory

 -- Hilko Bengen <bengen@debian.org>  Sun, 10 Jan 2021 13:25:43 +0100

libguestfs (1:1.42.0-11) unstable; urgency=medium

  * Fix syntax error in debian/rules

 -- Hilko Bengen <bengen@debian.org>  Sat, 17 Oct 2020 20:47:38 +0200

libguestfs (1:1.42.0-10) unstable; urgency=medium

  * Build daemon, appliance only in last build
  * Add patch to generate library list for appliance (Closes: #972241)

 -- Hilko Bengen <bengen@debian.org>  Sat, 17 Oct 2020 17:43:17 +0200
