=== debian/control ===
--- 
+++ 
@@ -22,9 +22,7 @@
   gperf, libxml2-utils,
   qemu-system-arm [armel armhf arm64],
   qemu-system-mips [mips mipsel mips64 mips64el],
-  qemu-system-misc [riscv64],
-  qemu-system-s390x [s390x],
-  qemu-system-aarch64 [arm64],
+  qemu-system-misc [s390x riscv64],
   qemu-system-ppc [powerpc powerpcspe ppc64 ppc64el],
   qemu-system-sparc [sparc sparc64],
   qemu-system-x86 [i386 amd64],
@@ -48,11 +46,14 @@
   flex, bison,
   golang-go [i386 amd64 armel armhf arm64 mips mipsel mips64el ppc64el],
   dh-php, php-all-dev | php5-dev,
+# for testing (make quickcheck)
+  linux-image-amd64 [amd64],
+  linux-image-686-pae [i386] | linux-image-586 [i386] | linux-image-486 [i386],
 #-# appliance start
   acl,
   attr,
   binutils,
-  bsdmainutils,
+  bsdextrautils,
   btrfs-progs,
   bzip2,
   cpio,
@@ -70,7 +71,7 @@
   genisoimage,
   gfs2-utils,
 # gfs-tools,
-#  grub2-common [amd64 arm64 armel armhf i386 mipsel ppc64el],
+  grub2-common [amd64 arm64 armel armhf i386 mipsel ppc64el],
   hfsplus,
   iproute2 | iproute,
   iputils-arping,
@@ -124,7 +125,7 @@
 Package: guestfsd
 Architecture: linux-any
 Depends: ${shlibs:Depends}, ${misc:Depends},
-  bsdmainutils,
+  bsdextrautils,
   diffutils,
 # grub-pc,
   iproute2 | iproute,
@@ -170,9 +171,7 @@
   supermin (>= 5),
   qemu-system-arm [armel armhf arm64],
   qemu-system-mips [mips mipsel mips64 mips64el],
-  qemu-system-misc [riscv64],
-  qemu-system-s390x [s390x],
-  qemu-system-aarch64 [arm64],
+  qemu-system-misc [s390x riscv64],
   qemu-system-ppc [powerpc ppc64 ppc64el],
   qemu-system-sparc [sparc],
   qemu-system-x86 [i386 amd64],
@@ -401,4 +400,3 @@
  libguestfs-dev (= ${binary:Version}), 
  ${ocaml:Depends}
 Provides: ${ocaml:Provides}
-Conflicts: libguestfs-dev (<< 1:1.14.9-1~)
