=== debian/rules ===
--- 
+++ 
@@ -49,9 +49,8 @@
 			-e 's,powerpc(64.*)?,ppc64,' \
 			-e 's,arm.*,arm,')
 
-# Do not Run "make quickcheck" only on these architectures
-# this requires a readable kernel image
-#QUICKCHECK_ARCHITECTURES := i386 amd64
+# Run "make quickcheck" only on these architectures
+QUICKCHECK_ARCHITECTURES := i386 amd64
 
 # Template for generating dh_{clean,configure,build,test} overrides.
 # $1 is replaced with the build number.
@@ -79,7 +78,8 @@
 			--disable-fuse \
 			--disable-ocaml \
 			--disable-perl \
-			--disable-gobject) \
+			--disable-gobject \
+			--disable-daemon --disable-appliance ) \
 		$(if $(word $1,$(RUBY_VERSIONS)),\
 			RUBY=$(word $1,$(RUBY_VERSIONS)) \
 			RAKE="$(word $1,$(RUBY_VERSIONS)) -S rake" \
@@ -118,6 +118,9 @@
 # Special Makefile magic ends here
 
 override_dh_autoreconf:
+# Get rid of files shipped in upstream tarball so they get rebuilt in
+# the build directories.
+	rm -f po/*.gmo po/*.pot
 	dh_autoreconf -- debian/dh-autoreconf.sh
 
 # Just run the test on the last build.
