## libguestfs 1.44.1

=== debian/changelog ===
libguestfs (1:1.44.1-1ubuntu6) impish; urgency=medium

  * Specify board model for RISC-V (LP: #1940453) 
    d/p/0001-launch-board-model-for-RISC-V.patch
  * Add missing packages to guest file system
    d/p/0001-appliance-add-missing-packages-to-package-list.patch

 -- Heinrich Schuchardt <heinrich.schuchardt@canonical.com>  Wed, 18 Aug 2021 18:33:55 +0200

libguestfs (1:1.44.1-1ubuntu5) impish; urgency=medium

  * No-change rebuild against libyara8

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sat, 17 Jul 2021 07:05:07 +0000

libguestfs (1:1.44.1-1ubuntu4) impish; urgency=medium

  * No change rebuild for PHP 8.0

 -- Bryce Harrington <bryce@canonical.com>  Sat, 22 May 2021 02:58:58 +0000

libguestfs (1:1.44.1-1ubuntu3) hirsute; urgency=medium

  * debian/patches/c8cab6219ff9e0feeb31a9fd18d3ff8f2a9c5de5.patch:
  * debian/patches/afe7e16c0fa1329751f12f700331b386eb21d6a4.patch:
  * debian/patches/95de3f6c50feea52abf2794945e741674df620b1.patch:
    - use upstream approach to fix the build
  * Disable lto in rules file

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Fri, 09 Apr 2021 14:31:02 +0200

libguestfs (1:1.44.1-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
      + Add qemu build dependencies for arm64.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Wed, 07 Apr 2021 16:25:58 +0200

libguestfs (1:1.44.1-1) unstable; urgency=medium

  * New upstream version 1.44.1

 -- Hilko Bengen <bengen@debian.org>  Sun, 04 Apr 2021 17:06:49 +0200

libguestfs (1:1.44.0-2ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
      + Add qemu build dependencies for arm64.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 02 Feb 2021 20:31:33 +0100

libguestfs (1:1.44.0-1ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
      + Add qemu build dependencies for arm64.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Tue, 12 Jan 2021 20:08:51 +0100

libguestfs (1:1.42.0-11ubuntu3) hirsute; urgency=medium

  * No-change rebuild to drop python3.8 extensions.

 -- Matthias Klose <doko@ubuntu.com>  Mon, 07 Dec 2020 18:46:33 +0100

libguestfs (1:1.42.0-11ubuntu2) hirsute; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 10 Nov 2020 16:59:01 +0100

libguestfs (1:1.42.0-11ubuntu1) hirsute; urgency=low

  * Merge from Debian unstable. Remaining changes:
      + Add qemu build dependencies for arm64.
      + Disable Build-Depends on grub2, only needed for the quickchecks,
        which are disabled anyway.
      + Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.

 -- Gianfranco Costamagna <locutusofborg@debian.org>  Sat, 07 Nov 2020 20:50:42 +0100

libguestfs (1:1.42.0-9ubuntu2) hirsute; urgency=medium

  * No-change rebuild to build with python3.9 as supported.

 -- Matthias Klose <doko@ubuntu.com>  Sat, 24 Oct 2020 12:43:45 +0200
