=== debian/control ===
--- 
+++ 
@@ -1,7 +1,8 @@
 Source: libguestfs
 Section: libs
 Priority: optional
-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
+Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Libvirt Maintainers <pkg-libvirt-maintainers@lists.alioth.debian.org>
 Uploaders: Richard Jones <rjones@redhat.com>, Guido Günther <agx@sigxcpu.org>, Hilko Bengen <bengen@debian.org>
 Build-Depends: debhelper (>= 12),
   po-debconf, bash-completion,
@@ -22,7 +23,9 @@
   gperf, libxml2-utils,
   qemu-system-arm [armel armhf arm64],
   qemu-system-mips [mips mipsel mips64 mips64el],
-  qemu-system-misc [s390x riscv64],
+  qemu-system-misc [riscv64],
+  qemu-system-s390x [s390x],
+  qemu-system-aarch64 [arm64],
   qemu-system-ppc [powerpc powerpcspe ppc64 ppc64el],
   qemu-system-sparc [sparc sparc64],
   qemu-system-x86 [i386 amd64],
@@ -46,9 +49,6 @@
   flex, bison,
   golang-go [i386 amd64 armel armhf arm64 mips mipsel mips64el ppc64el],
   dh-php, php-all-dev | php5-dev,
-# for testing (make quickcheck)
-  linux-image-amd64 [amd64],
-  linux-image-686-pae [i386] | linux-image-586 [i386] | linux-image-486 [i386],
 #-# appliance start
   acl,
   attr,
@@ -71,7 +71,7 @@
   genisoimage,
   gfs2-utils,
 # gfs-tools,
-  grub2-common [amd64 arm64 armel armhf i386 mipsel ppc64el],
+#  grub2-common [amd64 arm64 armel armhf i386 mipsel ppc64el],
   hfsplus,
   iproute2 | iproute,
   iputils-arping,
@@ -171,7 +171,9 @@
   supermin (>= 5),
   qemu-system-arm [armel armhf arm64],
   qemu-system-mips [mips mipsel mips64 mips64el],
-  qemu-system-misc [s390x riscv64],
+  qemu-system-misc [riscv64],
+  qemu-system-s390x [s390x],
+  qemu-system-aarch64 [arm64],
   qemu-system-ppc [powerpc ppc64 ppc64el],
   qemu-system-sparc [sparc],
   qemu-system-x86 [i386 amd64],
@@ -399,4 +401,3 @@
  libguestfs0 (= ${binary:Version}),
  libguestfs-dev (= ${binary:Version}), 
  ${ocaml:Depends}
-Provides: ${ocaml:Provides}
