=== debian/rules ===
--- 
+++ 
@@ -21,6 +21,8 @@
 #
 # - Running `debian/rules output_template' can be used to inspect the
 #   targets that have been generated using `DH_AUTO_TEMPLATE'.
+
+export DEB_BUILD_MAINT_OPTIONS=optimize=-lto
 
 # export DH_VERBOSE=1
 include /usr/share/dpkg/architecture.mk
@@ -49,8 +51,9 @@
 			-e 's,powerpc(64.*)?,ppc64,' \
 			-e 's,arm.*,arm,')
 
-# Run "make quickcheck" only on these architectures
-QUICKCHECK_ARCHITECTURES := i386 amd64
+# Do not Run "make quickcheck" only on these architectures
+# this requires a readable kernel image
+#QUICKCHECK_ARCHITECTURES := i386 amd64
 
 # Template for generating dh_{clean,configure,build,test} overrides.
 # $1 is replaced with the build number.
