## libguestfs 1.46.2

=== debian/changelog ===
libguestfs (1:1.46.2-10ubuntu3) jammy; urgency=medium

  * No-change rebuild with Python 3.10 only

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 16 Mar 2022 23:49:18 +0000

libguestfs (1:1.46.2-10ubuntu2) jammy; urgency=medium

  * No-change rebuild for the perl update.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 06 Feb 2022 14:08:33 +0100

libguestfs (1:1.46.2-10ubuntu1) jammy; urgency=medium

  * Merge with Debian; remaining changes:
    - debian/control:
      +  Add qemu build dependencies for arm64.
      +  Disable build dependencies only needed for the quickchecks: grub2,
         linux-image-*.
      +  Use qemu-s390x on s390x.
    - debian/rules:
      + Disable quickchecks. Requires a readable kernel image.
      + Disable lto.

 -- Matthias Klose <doko@ubuntu.com>  Thu, 27 Jan 2022 13:35:48 +0100

libguestfs (1:1.46.2-10) unstable; urgency=medium

  * audopkgtest: add yet another missing dependency

 -- Hilko Bengen <bengen@debian.org>  Thu, 27 Jan 2022 00:16:49 +0100

libguestfs (1:1.46.2-9) unstable; urgency=medium

  * audopkgtest: add missing dependency

 -- Hilko Bengen <bengen@debian.org>  Wed, 26 Jan 2022 13:26:04 +0100

libguestfs (1:1.46.2-8) unstable; urgency=medium

  * autopkgtest: remove --mode=root

 -- Hilko Bengen <bengen@debian.org>  Wed, 26 Jan 2022 00:02:23 +0100

libguestfs (1:1.46.2-7) unstable; urgency=medium

  * Use correct version in removing conffiles (Closes: #1004076, again)

 -- Hilko Bengen <bengen@debian.org>  Sun, 23 Jan 2022 16:47:27 +0100

libguestfs (1:1.46.2-6) unstable; urgency=medium

  [ Hilko Bengen ]
  * Fix typo (Closes: #1004127)
  * Remove virt-builder conffiles (Closes: #1004076)
  * Fix quickcheck architecture check

  [ Johannes 'josch' Schauer ]
  * Add autopkgtest (Closes: #944729)

 -- Hilko Bengen <bengen@debian.org>  Sun, 23 Jan 2022 01:48:11 +0100

libguestfs (1:1.46.2-5) unstable; urgency=medium

  * Edit patch: Don't pass -cpu argument to qemu on mips*
  * Run make quickcheck on more architectures

 -- Hilko Bengen <bengen@debian.org>  Sun, 23 Jan 2022 00:50:43 +0100

libguestfs (1:1.46.2-4) unstable; urgency=medium

  * Bump Standards-Version, DH compat level, don't require root for build
  * Remove grub-pc build-dependency (=libguestfs0 runtime dependency)
    Closes: #1002893

 -- Hilko Bengen <bengen@debian.org>  Sat, 01 Jan 2022 18:32:00 +0100

libguestfs (1:1.46.2-3) unstable; urgency=medium

  * Add: grub-pc build-dependency
  * Add patch to set CPU type on riscv64

 -- Hilko Bengen <bengen@debian.org>  Thu, 30 Dec 2021 21:07:04 +0100

libguestfs (1:1.46.2-2) unstable; urgency=medium

  * Switch to exfatprogs (Closes: #992286)
  * Update build dependencies for appliance
  * Rework patches
  * Determine Python3 versions using py3versions --supported (Lintian)

 -- Hilko Bengen <bengen@debian.org>  Mon, 27 Dec 2021 01:55:09 +0100

libguestfs (1:1.46.2-1) unstable; urgency=medium

  * New upstream version 1.46.2
  * Some virt-* programs are now part of guestfs-tools (different soruce
    package)
  * Update patches
  * Update build-dependencies, replace genisoimage with xorriso
    (Closes: #982234)
  * Put guestfish, guestmount into separate packages again

 -- Hilko Bengen <bengen@debian.org>  Sat, 25 Dec 2021 02:17:59 +0100

libguestfs (1:1.44.2-1.1) unstable; urgency=medium

  * Non-maintainer upload.
  * debian/rules: use the appropriate way to get the Ruby versions to build
    for (Closes: #998636)

 -- Antonio Terceiro <terceiro@debian.org>  Sat, 04 Dec 2021 12:11:35 -0300

libguestfs (1:1.44.2-1) unstable; urgency=medium

  * New upstream version 1.44.2
  * Use PCRE2 instead of PCRE
  * Update patches, drop number prefixes

 -- Hilko Bengen <bengen@debian.org>  Sat, 25 Sep 2021 17:51:52 +0200

libguestfs (1:1.44.1-5) unstable; urgency=medium

  * Attempt to fix running tests

 -- Hilko Bengen <bengen@debian.org>  Mon, 20 Sep 2021 22:58:15 +0200

libguestfs (1:1.44.1-4) unstable; urgency=medium

  * Add upstream patch to fix FTBFS with Go 1.16 (Closes: #993833)

 -- Hilko Bengen <bengen@debian.org>  Tue, 07 Sep 2021 13:11:19 +0200

libguestfs (1:1.44.1-3) unstable; urgency=medium

  * Add upstream patch to define board model for RISC-V
  * Force use of QEMU TCG for tests in build environments where kvm is
    not available
  * Try running checks (make quickcheck) on arm64, riscv64

 -- Hilko Bengen <bengen@debian.org>  Thu, 02 Sep 2021 23:43:11 +0200

libguestfs (1:1.44.1-2) unstable; urgency=medium

  * When building on/for Ubuntu, add code to call dpkg-statoverride to
    lift restrictive permissions on kernel images
  * Add patch to fix build in usr-merged environments

 -- Hilko Bengen <bengen@debian.org>  Tue, 31 Aug 2021 17:02:19 +0200

libguestfs (1:1.44.1-1ubuntu11) jammy; urgency=medium

  * d/rules: use dh_ruby to get the list of supported ruby versions. More info
    in the Debian bug #998636.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Mon, 22 Nov 2021 11:58:23 -0300

libguestfs (1:1.44.1-1ubuntu10) jammy; urgency=medium

  * No-change upload due to ruby3.0 transition.

 -- Lucas Kanashiro <kanashiro@ubuntu.com>  Thu, 18 Nov 2021 09:28:01 -0300

libguestfs (1:1.44.1-1ubuntu9) jammy; urgency=medium

  * No change rebuild for PHP 8.1

 -- Bryce Harrington <bryce@canonical.com>  Wed, 27 Oct 2021 00:18:20 +0000

libguestfs (1:1.44.1-1ubuntu8) jammy; urgency=medium

  * No-change rebuild to add python3.10.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 17 Oct 2021 12:21:30 +0200
