=== debian/rules ===
--- 
+++ 
@@ -27,9 +27,8 @@
 # export DH_VERBOSE=1
 include /usr/share/dpkg/architecture.mk
 
-PYTHON_VERSIONS := $(shell py3versions --installed)
-RUBY_VERSIONS   := $(shell find /usr/bin/ -name 'ruby[12]*' \
-			| xargs -n1 readlink -f | xargs -r -n1 basename)
+PYTHON_VERSIONS := $(shell py3versions --supported)
+RUBY_VERSIONS   := $(shell dh_ruby --print-supported)
 LUA_VERSIONS    := $(shell find /usr/bin/ -name 'lua5.?' \
 			| xargs -n1 readlink -f | xargs -r -n1 basename)
 PHP_VERSIONS    := $(subst -config,,\
@@ -51,9 +50,9 @@
 			-e 's,powerpc(64.*)?,ppc64,' \
 			-e 's,arm.*,arm,')
 
-# Do not Run "make quickcheck" only on these architectures
+# Do not run "make quickcheck" only on these architectures
 # this requires a readable kernel image
-#QUICKCHECK_ARCHITECTURES := i386 amd64
+#QUICKCHECK_ARCHITECTURES := i386 amd64 armhf arm64 riscv64 ppc64el s390x
 
 # Template for generating dh_{clean,configure,build,test} overrides.
 # $1 is replaced with the build number.
@@ -128,9 +127,13 @@
 
 # Just run the test on the last build.
 override_dh_auto_test:
-ifneq "" "$(findstring $(DEB_HOST_ARCH),$(QUICKCHECK_ARCHITECTURES))"
+ifneq "" "$(findstring x$(DEB_HOST_ARCH)x,$(patsubst %,x%x,$(QUICKCHECK_ARCHITECTURES)))"
 	printenv
-	unset XDG_RUNTIME_DIR; make -C $(CURDIR)/debian/build-$(BUILD_COUNT) quickcheck
+	unset XDG_RUNTIME_DIR; \
+		if ! test -w /dev/kvm; then \
+			export LIBGUESTFS_BACKEND_SETTINGS=force_tcg; \
+		fi; \
+		make -C $(CURDIR)/debian/build-$(BUILD_COUNT) quickcheck
 endif
 
 # Installation needs to happen in order because only the last build
@@ -147,6 +150,15 @@
 	debian/split-appliance.sh
 
 	dh_install -X.la -X.so.owner -Xbindtests -X/usr/lib/go/ -X/usr/lib/go- -Xpackages.orig -Xetc/php.d
+
+	# Workaround for Ubuntu's strict kernel permissions
+	if [ "$$(sed -ne '/^ID=/ { s/^[^=]*=//;p }' /etc/os-release)" = ubuntu ]; then \
+		mkidr -p debian/libguestfs0/etc/kernel/preinst.d debian/libguestfs0/etc/kernel/postrm.d ; \
+		install -m755 debian/libguestfs0.kernel-preinst debian/libguestfs0/etc/kernel/preinst.d/libguestfs0 ; \
+		install -m755 debian/libguestfs0.kernel-postrm  debian/libguestfs0/etc/kernel/postrm.d/libguestfs0  ; \
+		cat debian/libguestfs0.preinst.snippet >> debian/libguestfs0.preinst.debhelper ; \
+		cat debian/libguestfs0.postrm.snippet  >> debian/libguestfs0.postrm.debhelper  ; \
+	fi
 
 override_dh_missing:
 	dh_missing --fail-missing \
