=== debian/tests/control ===
Tests: extlinux
Depends: guestfish, libguestfs-tools, mmdebstrap, fakeroot, fakechroot, linux-image-amd64, openssh-client
